---
title: Addition (+)
slug: Web/JavaScript/Reference/Operators/Addition
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The addition operator (<code>+</code>) produces the sum of numeric operands or string concatenation.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-addition.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><strong>Operator:</strong> <var>x</var> + <var>y</var>
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Numeric_addition">Numeric addition</h3>

<pre class="brush: js notranslate">// Number + Number -&gt; addition
1 + 2 // 3

// Boolean + Number -&gt; addition
true + 1 // 2

// Boolean + Boolean -&gt; addition
false + false // 0
</pre>

<h3 id="String_concatenation">String concatenation</h3>

<pre class="brush: js notranslate">// String + String -&gt; concatenation
'foo' + 'bar' // "foobar"

// Number + String -&gt; concatenation
5 + 'foo' // "5foo"

// String + Boolean -&gt; concatenation
'foo' + false // "foofalse"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-addition-operator-plus', 'Addition operator')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.addition")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Subtraction">Subtraction operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Division">Division operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Multiplication">Multiplication operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Remainder">Remainder operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Exponentiation">Exponentiation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Increment">Increment operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Decrement">Decrement operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_negation">Unary negation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_plus">Unary plus operator</a></li>
</ul>
